中危 Red Hat Ceph输入验证漏洞(CVE-2021-3531)

CVE编号

CVE-2021-3531

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-05-18
漏洞描述
Red Hat Ceph是美国红帽(Red Hat)公司的一套Linux PB级分布式文件系统。该系统的主要目标是设计成基于POSIX(可移植操作系统接口)的没有单点故障的分布式文件系统,使数据能容错和无缝的复制。
Red Hat Ceph Storage RGW 14.2.21之前版本存在输入验证漏洞。该漏洞源于程序在处理以两个斜杠结尾的swift URL的GET请求时未进行正确验证。远程攻击者可利用该漏洞导致rgw崩溃(拒绝服务)。
解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://bugzilla.redhat.com/show_bug.cgi?id=1955326
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat ceph * Up to
(excluding)
14.2.21
运行在以下环境
应用 redhat ceph_storage 4.0 -
运行在以下环境
系统 alpine_3.14 ceph * Up to
(excluding)
16.2.4-r0
运行在以下环境
系统 alpine_3.15 ceph * Up to
(excluding)
16.2.4-r0
运行在以下环境
系统 alpine_3.16 ceph * Up to
(excluding)
16.2.4-r0
运行在以下环境
系统 alpine_edge ceph * Up to
(excluding)
16.2.4-r0
运行在以下环境
系统 centos_8 ceph * Up to
(excluding)
16.2.7-98.el8cp
运行在以下环境
系统 debian_10 ceph * Up to
(including)
12.2.11+dfsg1-2.1
运行在以下环境
系统 fedora_32 ceph * Up to
(excluding)
14.2.21-1.fc32
运行在以下环境
系统 fedora_33 ceph * Up to
(excluding)
15.2.12-1.fc33
运行在以下环境
系统 fedora_34 ceph * Up to
(excluding)
16.2.4-1.fc34
运行在以下环境
系统 opensuse_Leap_15.2 ceph * Up to
(excluding)
15.2.12.83
运行在以下环境
系统 opensuse_Leap_15.3 ceph * Up to
(excluding)
15.2.12.83
运行在以下环境
系统 redhat_8 ceph * Up to
(excluding)
16.2.7-98.el8cp
运行在以下环境
系统 ubuntu_18.04 ceph * Up to
(excluding)
12.2.13-0ubuntu0.18.04.10
运行在以下环境
系统 ubuntu_18.04.5_lts ceph * Up to
(excluding)
12.2.13-0ubuntu0.18.04.10
运行在以下环境
系统 ubuntu_20.04 ceph * Up to
(excluding)
15.2.12-0ubuntu0.20.04.1
运行在以下环境
系统 ubuntu_21.04 ceph * Up to
(excluding)
16.2.6-0ubuntu0.21.04.2
运行在以下环境
系统 ubuntu_21.10 ceph * Up to
(excluding)
16.2.4-0ubuntu1
运行在以下环境
系统 ubuntu_22.04 ceph * Up to
(excluding)
16.2.4-0ubuntu1
阿里云评分
5.2
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况